QuickShop

Dieses Thema im Forum "Technischer Support" wurde erstellt von LoganBwDE, 28. Mai 2015.

  1. LoganBwDE
    Offline

    LoganBwDE

    Registriert seit:
    26. November 2014
    Beiträge:
    184
    Ort:
    Abtsgmünd
    Minecraft:
    LoganBwDE
    Hallöle,

    und zwar ist das Problem: Ich starte den Server mit QuickShop und alles ist ok. Kann Shops erstellen etc. Doch wenn ich den Server neustarte, und dann versuche etwas vom QuickShop zu kaufen (also ich haue dir Kiste an ;) ), dann kommt dieser Fehler:
    Code (Text):
    1.  
    2. [12:22:03] [Server thread/ERROR]: Could not pass event PlayerInteractEvent to QuickShop v0.0.4
    3. org.bukkit.event.EventException
    4.     at org.bukkit.plugin.java.JavaPluginLoader$1.execute(JavaPluginLoader.java:302) ~[start.jar:git-Spigot-1649]
    5.     at org.bukkit.plugin.RegisteredListener.callEvent(RegisteredListener.java:62) ~[start.jar:git-Spigot-1649]
    6.     at org.bukkit.plugin.SimplePluginManager.fireEvent(SimplePluginManager.java:514) [start.jar:git-Spigot-1649]
    7.     at org.bukkit.plugin.SimplePluginManager.callEvent(SimplePluginManager.java:499) [start.jar:git-Spigot-1649]
    8.     at org.bukkit.craftbukkit.v1_7_R4.event.CraftEventFactory.callPlayerInteractEvent(CraftEventFactory.java:242) [start.jar:git-Spigot-1649]
    9.     at net.minecraft.server.v1_7_R4.PlayerInteractManager.dig(PlayerInteractManager.java:103) [start.jar:git-Spigot-1649]
    10.     at net.minecraft.server.v1_7_R4.PlayerConnection.a(PlayerConnection.java:552) [start.jar:git-Spigot-1649]
    11.     at net.minecraft.server.v1_7_R4.PacketPlayInBlockDig.a(PacketPlayInBlockDig.java:41) [start.jar:git-Spigot-1649]
    12.     at net.minecraft.server.v1_7_R4.PacketPlayInBlockDig.handle(PacketPlayInBlockDig.java:65) [start.jar:git-Spigot-1649]
    13.     at net.minecraft.server.v1_7_R4.NetworkManager.a(NetworkManager.java:186) [start.jar:git-Spigot-1649]
    14.     at net.minecraft.server.v1_7_R4.ServerConnection.c(ServerConnection.java:81) [start.jar:git-Spigot-1649]
    15.     at net.minecraft.server.v1_7_R4.MinecraftServer.v(MinecraftServer.java:734) [start.jar:git-Spigot-1649]
    16.     at net.minecraft.server.v1_7_R4.DedicatedServer.v(DedicatedServer.java:289) [start.jar:git-Spigot-1649]
    17.     at net.minecraft.server.v1_7_R4.MinecraftServer.u(MinecraftServer.java:584) [start.jar:git-Spigot-1649]
    18.     at net.minecraft.server.v1_7_R4.MinecraftServer.run(MinecraftServer.java:490) [start.jar:git-Spigot-1649]
    19.     at net.minecraft.server.v1_7_R4.ThreadServerApplication.run(SourceFile:628) [start.jar:git-Spigot-1649]
    20. Caused by: java.lang.NullPointerException
    21.     at java.lang.String.replace(String.java:2227) ~[?:1.8.0_31]
    22.     at org.maxgamer.QuickShop.Util.MsgUtil.getMessage(MsgUtil.java:279) ~[?:?]
    23.     at org.maxgamer.QuickShop.Util.MsgUtil.sendShopInfo(MsgUtil.java:146) ~[?:?]
    24.     at org.maxgamer.QuickShop.Util.MsgUtil.sendShopInfo(MsgUtil.java:136) ~[?:?]
    25.     at org.maxgamer.QuickShop.Listeners.PlayerListener.onClick(PlayerListener.java:82) ~[?:?]
    26.     at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) ~[?:1.8.0_31]
    27.     at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62) ~[?:1.8.0_31]
    28.     at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) ~[?:1.8.0_31]
    29.     at java.lang.reflect.Method.invoke(Method.java:483) ~[?:1.8.0_31]
    30.     at org.bukkit.plugin.java.JavaPluginLoader$1.execute(JavaPluginLoader.java:298) ~[start.jar:git-Spigot-1649]
    31.     ... 15 more
    32.  
    Hoffe jmd hat eine Lösung dafür :D

    Gruß
    LoganBwDE
     
    #1
  2. Roeddelproemm
    Offline

    Roeddelproemm

    Registriert seit:
    3. Februar 2015
    Beiträge:
    60
    Minecraft:
    Roeddelproemm
    Ich sehe da auf Anhieb 3 Dinge, die nicht so ganz passen:
    1. Du nutzt den Spigot-build 1649 für die Versionen 1.7.9-1.8.irgendwas
    2. Zeile 8-19 Versionen 1.7R4
    3. Zeile 2 Die QuickShop-Version ist für die Minecraftversionen 1.7.9 und Abwärts kompatibel

    Damit kommt es zu Überschneidungen im System.
    Hintergrund, warum viele Plugins ab 1.8 "rumzicken":
    Vor 1.8 wurde mit Item-ID's in Form von Nummern gearbeitet. Mit 1.8 kamen viele Items hinzu, die es vorher nicht gab. Dadurch kommt es, gerade bei Itembasierenden Shopsystemen zu einer Masse an Fehlermeldungen. Ich kämpfe derzeit selbst mit einem fast gleichen Fehler mit dem Plugin ShowcaseStandalone unter bukkit 1.7.10.
     
    #2
  3. LoganBwDE
    Offline

    LoganBwDE

    Registriert seit:
    26. November 2014
    Beiträge:
    184
    Ort:
    Abtsgmünd
    Minecraft:
    LoganBwDE
    Danke für die Antwort. Habe ich mir schon fast gedacht. Werde mal schaun, ob ich den Entwickler erreichen kann, um zu fragen, ob ich das Plugin übernehmen / umcoden kann.
    Grüße
    LoganBwDE
     
    #3